Bug 1479568 - ObjectStorage Node never mounted sda and instead used the root OS Disk on /srv/node/sda
ObjectStorage Node never mounted sda and instead used the root OS Disk on /sr...
Status: ON_DEV
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates (Show other bugs)
10.0 (Newton)
Unspecified Unspecified
medium Severity medium
: ---
: 10.0 (Newton)
Assigned To: Christian Schwede (cschwede)
Mike Abrams
: Triaged, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-08 16:21 EDT by Alex Krzos
Modified: 2017-09-13 16:26 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1717021 None None None 2017-09-13 16:25 EDT
OpenStack gerrit 503802 None None None 2017-09-13 16:25 EDT

  None (edit)
Description Alex Krzos 2017-08-08 16:21:41 EDT
Description of problem:
Deployed 3 ObjectStorage Nodes with the following swift raw disks and swift tripleo parameters:

parameter_defaults:
  SwiftWorkers: 24
  SwiftPartPower: 11
  SwiftMountCheck: true
  SwiftRawDisks: {"sda": {}, "sdb": {}, "sdc": {}, "sdd": {}, "sde": {}, "sdf": {}, "sdg": {}, "sdh": {}, "sdi": {}, "sdj": {}, "sdk": {}, "sdl": {}, "sdm": {}, "sdn": {}, "sdo": {}, "sdp": {}, "sdq": {}, "sdr": {}, "sds": {}, "sdt": {}, "sdu": {}, "sdv": {}, "sdw": {}, "sdx": {}, "sdy": {}, "sdz": {}, "sdaa": {}, "sdab": {}, "sdac": {}, "sdad": {}, "sdae": {}, "sdaf": {}, "sdag": {}, "sdah": {}, "sdai": {}, "sdaj": {}, "nvme0n1": {}, "nvme1n1": {}}
  SwiftUseLocalDir: false


sda was not mounted on the objectstorage nodes and instead /srv/node/sda is off the root OS disk:
[root@overcloud-objectstorage-0 ~]# lsblk
NAME    MAJ:MIN RM   SIZE RO TYPE MOUNTPOINT
sda       8:0    0   1.8T  0 disk 
sdb       8:16   0   1.8T  0 disk /srv/node/sdb
...
sdaj     66:48   0   1.8T  0 disk /srv/node/sdaj
sdak     66:64   0 465.8G  0 disk 
├─sdak1  66:65   0     1M  0 part 
└─sdak2  66:66   0 465.8G  0 part /
sdal     66:80   0 465.8G  0 disk 
nvme0n1 259:1    0 745.2G  0 disk /srv/node/nvme0n1
nvme1n1 259:0    0 745.2G  0 disk /srv/node/nvme1n1

[root@overcloud-objectstorage-0 node]# df -h /srv/node/sda
Filesystem      Size  Used Avail Use% Mounted on
/dev/sdak2      466G  3.8G  462G   1% /


Version-Release number of selected component (if applicable):
OSP10
Unclear if OSP11 and maybe OSP12 are affected

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:
format and mount /dev/sda to /srv/node/sda rather than off root OS disk.  Mount check prevents the disk from use however this means one less disk per node is actually in use.

Additional info:
Comment 1 Christian Schwede (cschwede) 2017-08-31 08:55:26 EDT
Alex, can you please retry using prefixed device names (like "/dev/sda" instead of "sda")? Please let us know if that works for you.
Comment 2 Alex Krzos 2017-08-31 11:31:15 EDT
Hey Christian,

I don't know when the next time I will have hardware on this scale and with this number of disks again to be able to try this.  The last kicker is that it is OSP10 so I don't think I will have the opportunity to try this again but I can certainly keep it in mind for the future if I do another Swift deployment and I can try appending the the prefix as you suggest.

-Alex

Note You need to log in before you can comment on or make changes to this bug.